package org.devsin.flutter_wortise;

import android.content.Context;
import android.view.View;


import androidx.annotation.NonNull;

import com.wortise.ads.AdSize;
import com.wortise.ads.banner.BannerAd;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.platform.PlatformView;

public class FlutterBannerView implements PlatformView, MethodChannel.MethodCallHandler {

    private final BannerAd bannerAd;
    private final MethodChannel methodChannel;

    public FlutterBannerView(Context context, BinaryMessenger messenger, int id) {
        bannerAd = new BannerAd(context);
        methodChannel = new MethodChannel(messenger, "org.devsin.flutter_wortise/bannerad_" + id);
        methodChannel.setMethodCallHandler(this);
    }

    @Override
    public View getView() {
        return bannerAd;
    }

    @Override
    public void dispose() {
        bannerAd.destroy();
    }

    @Override
    public void onMethodCall(@NonNull MethodCall call, @NonNull MethodChannel.Result result) {
        switch (call.method){
            case "loadAd":
                bannerAd.setAdSize(AdSize.HEIGHT_50);
                bannerAd.setAdUnitId((String) call.arguments);
                bannerAd.loadAd();
                result.success(null);
                break;
            case "pauseAd":
                bannerAd.pause();
                result.success(null);
                break;
            case "resumeAd":
                if(!bannerAd.isActivated()){
                    bannerAd.resume();
                    result.success(null);
                }
                break;
            default:
                result.notImplemented();
                break;
        }
    }
}
