package org.devsin.flutter_wortise;

import android.content.Context;
import android.view.View;

import androidx.annotation.NonNull;

import com.wortise.ads.banner.BannerAd;
import com.wortise.ads.interstitial.InterstitialAd;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.platform.PlatformView;

public class FlutterInterstitialAdView implements  MethodCallHandler {
    private final InterstitialAd interstitialAd;
    private final MethodChannel methodChannel;

    public FlutterInterstitialAdView(Context context, BinaryMessenger messenger, int id) {
        interstitialAd = new InterstitialAd(context, "Ad Unit ID de Wortise");
        interstitialAd.loadAd();;
        methodChannel = new MethodChannel(messenger, "org.devsin.flutter_wortise/interstitialad_" + id);
    }

    @Override
    public void onMethodCall(@NonNull MethodCall call, @NonNull MethodChannel.Result result) {
        switch (call.method){
            case "showAd":
                interstitialAd.showAd();
                break;
            case "dispose":
                interstitialAd.destroy();
                break;
        }

    }
}
