package org.devsin.flutter_wortise;

import android.content.Context;

import androidx.annotation.NonNull;

import com.wortise.ads.WortiseSdk;

import io.flutter.embedding.engine.plugins.FlutterPlugin;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodCodec;
import io.flutter.plugin.common.PluginRegistry;
import kotlin.Unit;
import kotlin.jvm.functions.Function0;

public class WortisePlugin implements MethodChannel.MethodCallHandler {

    private static MethodChannel channel = null;
    private static PluginRegistry.Registrar reg;

    public WortisePlugin(){
    }

    @Override
    public void onMethodCall(@NonNull MethodCall call, @NonNull final MethodChannel.Result result) {
        if(call.method.equals("initialize")){
            WortiseSdk.initialize(reg.context(), (String) call.arguments, new Function0<Unit>() {
                @Override
                public Unit invoke() {
                    result.success("true");
                    return Unit.INSTANCE;
                }
            });
        }
        else if(call.method.equals("stop")){
            WortiseSdk.stop(reg.context());
        }
    }

    public static void registerWith(PluginRegistry.Registrar registrar){
        channel = new MethodChannel(registrar.messenger(), "flutter_wortise");
        channel.setMethodCallHandler(new FlutterWortisePlugin());
        reg = registrar;
    }
}
